## Proxy Control service

Proxy Control service — Support for the Proxy Control service.

## Functions

MbimMessage * | mbim_message_proxy_control_configuration_set_new ()
gboolean | mbim_message_proxy_control_configuration_response_parse ()
gboolean | mbim_message_proxy_control_version_notification_parse ()

## Description

This section implements support for requests, responses and notifications in the Proxy Control service.

## Functions

### mbim_message_proxy_control_configuration_set_new ()

    MbimMessage *
    mbim_message_proxy_control_configuration_set_new
                                   (const gchar *device_path,
                                    guint32 timeout,
                                    GError **error);

Create a new request for the 'Configuration' set command in the 'Proxy Control' service.

#### Parameters

device_path | the 'DevicePath' field, given as a string. | [in]
timeout | the 'Timeout' field, given as a guint32. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.10

### mbim_message_proxy_control_configuration_response_parse ()

    gboolean
    mbim_message_proxy_control_configuration_response_parse
                                   (const MbimMessage *message,
                                    GError **error);

Parses and returns parameters of the 'Configuration' response command in the 'Proxy Control' service.

#### Parameters

message | the MbimMessage. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.10

### mbim_message_proxy_control_version_notification_parse ()

    gboolean
    mbim_message_proxy_control_version_notification_parse
                                   (const MbimMessage *message,
                                    guint16 *out_mbim_version,
                                    guint16 *out_mbim_extended_version,
                                    GError **error);

Parses and returns parameters of the 'Version' notification command in the 'Proxy Control' service.

#### Parameters

message | the MbimMessage. |
out_mbim_version | return location for a guint16, or `NULL` if the 'MbimVersion' field is not needed. | [out][optional][transfer none]
out_mbim_extended_version | return location for a guint16, or `NULL` if the 'MbimExtendedVersion' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.28